Skip to main content
GET
/
api
/
knowledge-base
List Knowledge Bases
curl --request GET \
  --url https://api.getello.ai/api/knowledge-base \
  --header 'X-API-Key: <api-key>'
{
  "status": 200,
  "message": "Knowledge bases retrieved successfully",
  "data": [
    {}
  ],
  "pagination": {
    "page": 1,
    "limit": 10,
    "total": 1,
    "totalPages": 1,
    "hasNextPage": false,
    "hasPrevPage": false
  }
}

Authorizations

X-API-Key
string
header
required

Query Parameters

page
integer
Required range: x >= 1
Example:

1

limit
integer
Required range: 1 <= x <= 100
Example:

10

Example:

"invoice"

start_date
string<date-time>
Example:

"2026-04-01T00:00:00Z"

end_date
string<date-time>
Example:

"2026-04-03T23:59:59Z"

sortBy
string
Example:

"updatedAt"

sortOrder
enum<string>
Available options:
asc,
desc
Example:

"desc"

assistant_id
string
Example:

"69cf92ec643b415327cab0ae"

Response

Knowledge bases retrieved successfully

status
integer
Example:

200

message
string
Example:

"Knowledge bases retrieved successfully"

data
object[]
pagination
object